## GstTranscoderSignalDispatcher GstTranscoderSignalDispatcher |

## Functions

GstTranscoderSignalDispatcher * | gst_transcoder_g_main_context_signal_dispatcher_new ()

## Types and Values

struct | GstTranscoderSignalDispatcherInterface
| GstTranscoderSignalDispatcher

## Object Hierarchy

        GInterface
        ╰── GstTranscoderSignalDispatcher

## Prerequisites

GstTranscoderSignalDispatcher requires GObject.

## Description

## Functions

### gst_transcoder_g_main_context_signal_dispatcher_new ()

    GstTranscoderSignalDispatcher *
    gst_transcoder_g_main_context_signal_dispatcher_new
                                   (GMainContext *application_context);

#### Parameters

application_context | GMainContext to use or `NULL`. | [allow-none]

#### Returns

.

[transfer full]

## Types and Values

### struct GstTranscoderSignalDispatcherInterface

    struct GstTranscoderSignalDispatcherInterface {
      GTypeInterface parent_iface;

      void (*dispatch) (GstTranscoderSignalDispatcher * self,
                        GstTranscoder * transcoder,
                        void (*emitter) (gpointer data),
                        gpointer data,
                        GDestroyNotify destroy);
    };

### GstTranscoderSignalDispatcher

    typedef struct _GstTranscoderSignalDispatcher GstTranscoderSignalDispatcher;